### Method

# Gio SimpleAsyncResult get_source_tag

deprecated: 2.46.

#### Declaration

    gpointer
    g_simple_async_result_get_source_tag (
      GSimpleAsyncResult* simple
    )

#### Description

Gets the source tag for the `GSimpleAsyncResult`.

Deprecated since: 2.46.

Use `GTask` and `g_task_get_source_tag()` instead.

This method is not directly available to language bindings.

#### Return value

Type: `gpointer`

A #gpointer to the source object for the `GSimpleAsyncResult`.

The returned data is owned by the instance.
The return value can be `NULL`.